<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.PremiumRemittanceFileMapper">

    <select id="page"
            resultType="com.yd.csf.feign.response.premiumremittancefile.ApiPremiumRemittanceFilePageResponse">
        select prf.* from premium_remittance_file prf
        <where>
            <if test="request.fileName != null and request.fileName != ''">
                and prf.file_name like concat('%', #{request.fileName}, '%')
            </if>
            <if test="request.premiumRemittanceBizId != null and request.premiumRemittanceBizId != ''">
                and prf.premium_remittance_biz_id like concat('%', #{request.premiumRemittanceBizId}, '%')
            </if>
            and prf.is_deleted = 0
        </where>
    </select>


</mapper>
